--
--  出品者品目
--      t_seller_item
--

CREATE TABLE t_seller_item
(
    SellerCd integer NOT NULL,   -- PriKey
    ItemCd integer NOT NULL,    -- PriKey

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(SellerCd, ItemCd)
);


-- トリガー
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_seller_item
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
